--  Copyright (2008-2013) Cédric Coussinet (cedric.coussinet@nomoseed.net)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU Affero General Public License as published
--  by the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
--  GNU Affero General Public License for more details.

--  You should have received a copy of the GNU Affero General Public License
--  along with this program. If not, see <http://www.gnu.org/licenses/>

package body Nomo.Internal_Messages.Events.Checking is

   function Information_Equal (This  : in Internal_Message;
                               Value : in Positive_Integer) return Boolean is
   begin
      return This.Information = Value;
   end Information_Equal;

   function Not_Immediat_Information (This  : in Internal_Message;
                                      Value : in Positive_Integer) return Boolean is
   begin
      return This.Time_Span /= 0 or else This.Information /= Value;
   end Not_Immediat_Information;

end Nomo.Internal_Messages.Events.Checking;
